3

Compare the two screenshots below. API Explorer v3 is acting as expected, but v4 is misfiring. Couldn't find anything related here nor in the issues list. Can't help but think I'm missing something basic! Config is Civi 5.7.0, API v4.1.0, Drupal 7.61, PHP 7.1.22, Chrome 70.0.3538.77.

APIv3

APIv4

  • Not sure what you mean by 'misfiring' ... The layout and behaviour are different to v3 but does it work when you hit Execute? There is a display issue in the Where section - is that what you mean? – Aidan Nov 15 '18 at 17:18
  • The display problem is inconsequential. I failed to state what you surmised, that pressing "Execute" in v4 doesn't have any effect. Thanks for catching that. – SRQ_civicrm Nov 16 '18 at 3:06
  • Sorry - are you still saying that Execute is not working in API4 or did Aidan solve the problem? – Tony Horrocks Nov 17 '18 at 15:23
  • The problem remains, Execute is not working in my API4 deployment. – SRQ_civicrm Nov 17 '18 at 21:55
  • I'm testing this on the same set up. Works fine here. Only diff is Im using the Shoreditch theme – Tony Horrocks Nov 20 '18 at 11:51
4

Im replicating your API4. I'm testing this on the same set up. Works fine here. Only diff is Im using the Shoreditch theme.

Perhaps you need to do a reinstall or clear caches?

  • This is the correct answer. Shoreditch is NOT a requirement for using APIv4, but IS a requirement for APIv4 Explorer. – Jon G - Megaphone Tech Dec 27 '18 at 19:47

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.